Main Page Groups Namespaces

# sigc::bind_return_functor< T_return, T_functor > Struct Template Reference
[bind(), bind_return()]

Adaptor that fixes the return value of the wrapped functor. More...

Inheritance diagram for sigc::bind_return_functor< T_return, T_functor >:

[legend]

List of all members.

## Public Types
typedef unwrap_reference <T_return>::type | result_type
## Public Member Functions
unwrap_reference <T_return>::type | operator() ()
| Invokes the wrapped functor dropping its return value.
template<class T_arg1>
unwrap_reference <T_return>::type | operator() (T_arg1 _A_a1)
| Invokes the wrapped functor passing on the arguments.,.
template<class T_arg1>
unwrap_reference <T_return>::type | sun_forte_workaround (T_arg1 _A_a1)
template<class T_arg1, class T_arg2>
unwrap_reference <T_return>::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
| Invokes the wrapped functor passing on the arguments.,.
template<class T_arg1, class T_arg2>
unwrap_reference <T_return>::type | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2)
template<class T_arg1, class T_arg2, class T_arg3>
unwrap_reference <T_return>::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
| Invokes the wrapped functor passing on the arguments.,.
template<class T_arg1, class T_arg2, class T_arg3>
unwrap_reference <T_return>::type | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
unwrap_reference <T_return>::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
| Invokes the wrapped functor passing on the arguments.,.
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
unwrap_reference <T_return>::type | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
unwrap_reference <T_return>::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
| Invokes the wrapped functor passing on the arguments.,.
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
unwrap_reference <T_return>::type | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
unwrap_reference <T_return>::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
| Invokes the wrapped functor passing on the arguments.,.
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
unwrap_reference <T_return>::type | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
unwrap_reference <T_return>::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
| Invokes the wrapped functor passing on the arguments.,.
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
unwrap_reference <T_return>::type | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
| bind_return_functor (typename type_trait<T_functor>::take _A_functor, typename type_trait<T_return>::take _A_ret_value)
| Constructs a bind_return_functor object that fixes the return value to `_A_ret_value`.
## Public Attributes
bound_argument <T_return> | ret_value_
| The fixed return value.
## Classes
struct | deduce_result_type

## Detailed Description

### template <class T_return, class T_functor>
struct sigc::bind_return_functor< T_return, T_functor >

Adaptor that fixes the return value of the wrapped functor.

Use the convenience function sigc::bind_return() to create an instance of sigc::bind_return_functor.

The following template arguments are used:

- T_return Type of the fixed return value.
- T_functor Type of the functor to wrap.

## Member Typedef Documentation

template <class T_return, class T_functor>

typedef unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::result_type

Reimplemented from sigc::adapts<T_functor>.

## Constructor & Destructor Documentation

template <class T_return, class T_functor>

sigc::bind_return_functor<T_return, T_functor>::bind_return_functor | ( | typename type_trait<T_functor>::take | _A_functor,
|  | typename type_trait<T_return>::take | _A_ret_value |
| ) |  |  | `[inline]`

Constructs a bind_return_functor object that fixes the return value to `_A_ret_value`.

Parameters:

  | _A_functor | Functor to invoke from operator()().
  | _A_ret_value | Value to return from operator()().

## Member Function Documentation

template <class T_return, class T_functor>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::operator() | ( |  | ) | `[inline]`

Invokes the wrapped functor dropping its return value.

Returns:
  The fixed return value.

template <class T_return, class T_functor>
template <class T_arg1>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::operator() | ( | T_arg1 | _A_a1 | ) | `[inline]`

Invokes the wrapped functor passing on the arguments.,.

Parameters:

  | _A_arg%1 | Argument to be passed on to the functor.)

Returns:
  The fixed return value.

template <class T_return, class T_functor>
template <class T_arg1>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1 | ) | `[inline]`

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.,.

Parameters:

  | _A_arg%1 | Argument to be passed on to the functor.)

Returns:
  The fixed return value.

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2 |
| ) |  |  | `[inline]`

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2, class T_arg3>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.,.

Parameters:

  | _A_arg%1 | Argument to be passed on to the functor.)

Returns:
  The fixed return value.

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2, class T_arg3>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3 |
| ) |  |  | `[inline]`

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.,.

Parameters:

  | _A_arg%1 | Argument to be passed on to the functor.)

Returns:
  The fixed return value.

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4 |
| ) |  |  | `[inline]`

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.,.

Parameters:

  | _A_arg%1 | Argument to be passed on to the functor.)

Returns:
  The fixed return value.

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5 |
| ) |  |  | `[inline]`

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.,.

Parameters:

  | _A_arg%1 | Argument to be passed on to the functor.)

Returns:
  The fixed return value.

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6 |
| ) |  |  | `[inline]`

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.,.

Parameters:

  | _A_arg%1 | Argument to be passed on to the functor.)

Returns:
  The fixed return value.

template <class T_return, class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7 |
| ) |  |  | `[inline]`

## Member Data Documentation

template <class T_return, class T_functor>

bound_argument<T_return> sigc::bind_return_functor<T_return, T_functor>::ret_value_

The fixed return value.

The documentation for this struct was generated from the following file:

- adaptors/bind_return.h